# SRC/cdiagonal.c File Reference

Auxiliary routines to work with diagonal elements. More...

`#include "slu_cdefs.h"`

## Functions
int | cfill_diag (int n, NCformat *Astore)
int | cdominate (int n, NCformat *Astore)

## Detailed Description

     -- SuperLU routine (version 4.0) --
     Lawrence Berkeley National Laboratory
     June 30, 2009

## Function Documentation

int cdominate | ( | int | n,
|  | NCformat * | Astore |
| ) |  |  |

int cfill_diag | ( | int | n,
|  | NCformat * | Astore |
| ) |  |  |